Table of Contents

## Name

AuSoundPlay - create a flow to play audio from any source.

## Synopsis

#include <audio/audiolib.h>
#include <audio/soundlib.h>

AuEventHandlerRec *AuSoundPlay(server, destination, volume, mode, sound_data, flow ,volume_mult_elem, monitor_element, status)
AuServer *server;
AuDeviceID destination;
AuFixedPoint volume;
int mode;
AuSoundDataPtr sound_data;
AuFlowID *flow; /* RETURN */
int *volume_mult_elem; /* RETURN */
int *monitor_element; /* RETURN */
AuStatus *status; /* RETURN */

## Arguments

server
  Specifies the connection to the audio server.
destination
  Specifies the device to output the audio data.
volume
  Specifies the volume.
mode
  Specifies the line mode for the output device. Currently the following line modes are defined: AuDeviceOutputModeNone, AuDeviceOutputModeSpeaker, AuDeviceOutputModeHeadphone, AuDeviceOutputModeLineOut.
sound_data
  Specifies the sound information.
flow
  If non-NULL, returns the flow ID.
volume_mult_elem
  If non-NULL, returns the index of the volume multipler element.
monitor_element
  If non-NULL, include an ExportMonitor element in the flow and return it's index.
status
  If non-NULL, flush the output buffer and return the status from the server.

## Description

AuSoundPlay creates a flow to play audio from any source on device and returns a pointer to the event handler created or NULL if there was an error. The sound_data structure contains the necessary information about the audio format and the data handling function.

## Errors

AuBadDevice.

## See Also

AuSoundPlayFromBucket, AuSoundPlayFromData, AuSoundPlayFromFile, AuSoundPlaySynchronousFromFile.

audiolib - Network Audio System C Language Interface

Table of Contents

- Name
- Synopsis
- Arguments
- Description
- Errors
- See Also